subset,oce-method {oce} | R Documentation

## Subset an oce Object

### Description

This is a basic class for general oce objects. It has specialised versions for most sub-classes, e.g. `subset,ctd-method` for `ctd` objects.

### Usage

    ## S4 method for signature 'oce'
    subset(x, subset, ...)

### Arguments

`x` | an oce object.
`subset` | a logical expression indicating how to take the subset; the form depends on the sub-class.
`...` | optional arguments, used in some specialized methods (e.g. `subset,section-method`).

### Value

An oce object.

### See Also

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(ctd)
    # Select just the top 10 metres (pressure less than 10 dbar)
    top10 <- subset(ctd, pressure < 10)
    par(mfrow=c(1, 2))
    plotProfile(ctd)
    plotProfile(top10)

[Package oce version 0.9-22 Index]